/* ---------- root variables ---------- */
:root {
  --black: #583953;
  --white: #f9f8f8;
  --peach-light: #f7efeb;
  --peach: #fbe1d5;
  --peach-dark: #ffac85;
  --sad-blue: #899ad9;
  --sad-blue-lower: #a4b0dc;
  --happy-yellow: #ffd654;
  --happy-yellow-lower: #f6da7e;
  --indiffrent-brown: #ded0b5;
  --indiffrent-brown-lower: #dfd4be;
  --unmotivated-green: #80cd7c;
  --unmotivated-green-lower: #9ed49b;
  --tired-purple: #c3b9de;
  --tired-purple-lower: #cdc6e0;
  --stressed-grey: #b6b4bf;
  --stressed-grey-lower: #c3c2ca;
  --frustrated-red: #e37373;
  --frustrated-red-lower: #e39494;
  --anxious-purple: #9c6aa8;
  --anxious-purple-lower: #b18eba;
}

/* ---------- general styling ---------- */

html,
body {
  max-width: 400px;
  max-height: 900px;
  margin: 0 auto;
  background-color: var(--peach-light);
}

p {
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  font-style: normal;
}

a {
  text-decoration: none;
}

h1 {
  font-size: 1.5em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 600;
  text-transform: none;
  color: var(--black);
}

h2 {
  font-size: 1.25em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 600;
  text-transform: none;
  color: var(--black);
}

h3 {
  font-size: 1em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  text-transform: none;
  color: var(--black);
}

h4 {
  font-size: 0.8em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  text-transform: none;
  color: var(--black);
}

h5 {
  font-size: 0.75em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 300;
  text-transform: none;
  margin: -5px 0;
}

h6 {
  font-size: 0.5em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  text-transform: none;
}

img {
  width: 100%;
  height: auto;
}

/* ---------- topbar styling ---------- */
.topbar {
  background-color: var(--green);
  color: var(--text-color-light);
  padding: 10px;
  text-transform: uppercase;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9999;
}

.topbar h2 {
  margin: 0;
  font-weight: 400;
}

.topbar a {
  text-decoration: none;
  color: var(--text-color-light);
  position: absolute;
  top: 20px;
}

.topbar a.left {
  left: 35px;
  top: 28px;
}

.topbar a.right {
  right: 20px;
}

/* ---------- tabbar styling ---------- */
.tabbar {
  background-color: #fafafa;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 9999;
  box-shadow: 0px 40px 99px #afadad;
  border-radius: 35px 35px 0 0;
  display: none;
  flex-direction: row;
  justify-content: center;
}

/* Style the links inside the navigation bar */

.tabbar {
  text-align: center;
  padding: 20px 16px 14px 16px;
  text-decoration: none;
}

/* Change the color of links on hover */
.tabbar a:hover {
  background-color: var(--light-grey);
  color: var(--text-color-dark);
}

/* Add a color to the active/current link */
.tabbar a.active {
  color: var(--peach-dark);
  fill: var(--peach-dark);
}

.active path {
  fill: var(--peach-dark);
}

.nav-link {
  font-size: 0.5em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 300;
  color: #d2cdc6;
  display: block;
}

svg {
  fill: #d2cdc6;
}

svg {
  margin: 0 auto;
}

.menu-item {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 0 9%;
}

/* ---------- page styling ---------- */
.page {
  display: none;
  /*min heigh is screen heigh minus height of tab and top bar */
  min-height: calc(100vh - 110px);
  background: var(--light-grey);
  animation: fadeIn 0.4s;
  /* padding equals height of tabbar and topbar */
  padding: 55px 0;
}

/* ---------- logo styling ---------- */
.logo {
  margin: 2em auto;
  width: 100%;
  max-width: 300px;
}

/* Bara's amazing styling */



.welcome-wrapper {
  display: flex;
  padding-top: 50px;
  background-color: white;
  border-radius: 40px 40px 0 0;
  height: 100%;
}

.onboard-wrapper {
  position: relative;
  margin-top: -30px;
  padding-top: 50px;
  padding-bottom: 40px;
  background-color: white;
  border-radius: 40px 40px 0 0;
  height: 100%;
  z-index: 100;
}

.welcome-container {
  margin: 0 auto 0 auto;
  text-align: center;
}

.btn-container {
  margin-top: 10px;
}

.textwelcome1 {
  margin-top: 2rem;
  font-size: 16px;
  color: #6a5573;
}

.textwelcome2 {
  margin-top: -15px;
  font-size: 30px;
  color: #6a5573;
}

.textwelcome3 {
  margin-top: -30px;
  font-size: 16px;
  color: #6a5573;
}

.logowelcome {
  height: 40%;
  width: auto;
}

.pic-container {
  height: 363px;
  background-size: cover;
  position: relative;
  z-index: 2;
  border-radius: 40px 40px 0 0;
}

.wavybob {
  height: 400px;
  width: auto;
  top: -30px;
  left: 18%;
  position: relative;
  z-index: 3;
}

.clockbob {
  height: 275px;
  width: auto;
  top: 35px;
  left: 17%;
  position: relative;
  z-index: 3;
}

.onboardbob {
  height: 275px;
  width: auto;
  top: 35px;
  left: 25%;
  position: relative;
  z-index: 3;
}

.jumpybob {
  height: 250px;
  width: auto;
  top: 30px;
  left: 37%;
  position: relative;
  z-index: 3;
}

.floating {
  animation-name: floating;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

@keyframes floating {
  from {
    transform: translate(0, 0px);
  }

  65% {
    transform: translate(0, 15px);
  }

  to {
    transform: translate(0, -0px);
  }
}

.buttons {
  margin: 0 auto;
  margin-top: 5em;
}

/*.buttons button:not(:last-child) {
  border-bottom: none;
}*/

.input_box {
  margin-top: 6rem;
}

.welcomep {
  margin: 2rem 0 0 0;
  color: #583953;
  font-size: 13px;
}

.inputname {
  padding: 10px 24px;
  width: 75%;
  font-size: 10px;
}

::placeholder {
  color: #583953;
  opacity: 1;
}

.button_onboard {
  background-color: #f6a580;
  color: white;
  margin: 0 auto;
  display: block;
  padding: 10px 24px;
  width: 75%;

  border-radius: 50px;
}

.button_skip {
  border-color: #f6a580;
  border: 5px;
  color: #f6a580;
  margin: 1rem auto 0 auto;
  display: block;
  padding: 10px 24px;
  width: 75%;
  border-radius: 50px;
}

.arrow {
  width: 25.075px;
  height: auto;
}

.progressbox {
  display: flex;
  align-items: stretch;
  margin: 10px 25px;
}

.boxprog {
  background-color: #f6a580;
  border-radius: 20px;
  margin: 10px;
  height: 10px;
}

.box {
  background-color: #fbe1d5;
  border-radius: 20px;
  margin: 10px;
  height: 10px;
}

.arrowbox {
  display: flex;
  margin: 1rem 0.5% 1.5rem 0.5%;
  justify-content: space-between;
}

.arrowmenu {
  margin: auto 10px;
  height: 10px;
}

.arrowonboard {
  height: 25px;
  width: auto;
}

/* ---------- input form styling - Marius ---------- */

.btn {
  font-size: 1em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  padding: 0.6em 0.6em;
  background-color: var(--peach-dark);
  color: var(--white);
  border-radius: 50px;
  border: 0px;
  width: 100%;
  max-width: 271px;
  margin: 0 auto;
  cursor: pointer;
}

.btn2 {
  font-size: 1em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  padding: 0.6em 0.6em;
  background-color: transparent;
  color: var(--peach-dark);
  border-radius: 50px;
  border: 1px solid var(--peach-dark);
  width: 100%;
  max-width: 271px;
  margin: 0 auto;
  margin-top: 10px;
  cursor: pointer;
}

.btn-container {
  margin-top: 22px;
}

input {
  font-size: 1em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  background-color: transparent;
  padding: 1em 1.2em;
  color: var(--black);
  font-size: 0.75em;
  font-weight: 300;
  border-radius: 50px;
  border: 1px solid var(--black);
  width: 100%;
  max-width: 271px;
  margin: 1em auto;
  box-sizing: border-box;
  display: block;
}

/* Favorites tab - Marius */

.favorites-text-container {
  width: 78%;
  text-align: center;
  margin: 0 auto;
  margin-top: -20px;
}

.favorites-wrapper {
  background-color: var(--white);
  min-height: 77vh;
  height: 100%;
  margin: 35px 0 0 0;
  border-radius: 44px 44px 0 0;
}

.favorites-container {
  margin: 0 auto;
  width: 78%;
  padding-top: 35px;
}

.favorites-select {
  color: var(--black);
  font-size: 0.75em;
  font-weight: 500;
  text-transform: none;
  padding: 5px 25px 5px 15px;
  /* width: 135px;
  height: 25px; */
  border-radius: 7px;
  border: 0px;
  background: url("../img/icons/Icon\ awesome-arrow-down.svg") no-repeat right;
  background-color: var(--peach);
  -webkit-appearance: none;
  background-position-x: 102px;
}

option {
  color: var(--black);
  font-size: 0.75em;
  border-radius: 7px;
  border: 0px;
}

select:focus {
  color: #a98c93;
}

.filter-container {
  margin: 0 auto;
  margin-bottom: 15px;
  display: flex;
  flex-wrap: wrap;
  row-gap: 9px;
  column-gap: 5px;
}

.filter-container > * {
  flex: 1;
}

.filterByEmotions {
  font-size: 0.75em;
  font-weight: 500;
  padding: 3px 10px;
  background-color: transparent;
  color: var(--black);
  border-radius: 10px;
  border: 1px solid var(--black);
  width: none;
  max-width: 100px;
  cursor: pointer;
  margin: 0 auto;
}

.selected {
  background-color: var(--black);
  color: var(--white);
}

/* End of favorites tab */

/* Settings tab */

.settings-wrapper {
  background-color: var(--white);
  min-height: 47vh;
  height: 100%;
  margin: 25px 0 0 0;
  border-radius: 44px 44px 0 0;
  overflow: hidden;
}

.settings-offer {
  background-color: var(--peach);
  height: 100%;
  margin: 25px 0 0 0;
  border-radius: 44px 44px 0 0;
}

.button-alignment {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-size: 1em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  padding: 0.6em 0em;
  background-color: var(--peach-dark);
  color: var(--white);
  border-radius: 50px;
  border: 0px;
  width: 100%;
  max-width: 220px;
  margin: 0 auto;
  cursor: pointer;
}

#edit-name {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-size: 1em;
  font-family: urbane-rounded, sans-serif;
  font-weight: 500;
  padding: 0.6em 0em;
  background-color: var(--peach-dark);
  color: var(--white);
  border-radius: 50px;
  border: 0px;
  width: 100%;
  max-width: 220px;
  margin: 0 auto;
}

.settings-profile {
  width: 78%;
  text-align: center;
  margin: 0 auto;
  margin-top: -17px;
}

.settings-logo {
  width: 81px;
  height: 81px;
}

.settings-text-container {
  width: 78%;
  text-align: center;
  margin: 0 auto;
  padding-top: 28px;
  color: #583953;
}

.icon-button {
  width: 18px;
  height: 18px;
}

.settings-notifications {
  padding-top: 20px;
  margin: 0 auto;
  width: 78%;
  margin-bottom: -20px;
}

.settings-notifications-tab {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

.language-box {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.english {
  background-image: url(../img/icons/eng.svg);
  width: 24px;
  height: 24px;
  border-radius: 50%;
  margin-right: 10px;
}

.text-settings {
  font-size: 0.9em;
  font-weight: 500;
  color: var(--peach);
}

.switch {
  position: relative;
  display: inline-block;
  width: 61px;
  height: 31px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--peach);
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 25px;
  width: 25px;
  left: 3px;
  bottom: 3px;
  background-color: #faf8f8;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: var(--peach-dark);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--peach-dark);
}

input:checked + .slider:before {
  -webkit-transform: translateX(29px);
  -ms-transform: translateX(29px);
  transform: translateX(29px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 19px;
}

.slider.round:before {
  border-radius: 50%;
}

#save-name {
  display: none;
}

/* ----------- home page styling - Olga ----------*/

.home-wrapper {
  background-color: var(--white);
  height: 600px;
  margin: 25px 0 0 0;
  border-radius: 44px 44px 0 0;
}

.home-top {
  padding-top: 30px;
}

.emotions {
  display: flex;
  flex-direction: column;
  align-self: center;
  justify-content: center;
  margin: 0 auto;
  margin-left: 30px;
  margin-right: 30px;
  padding-top: 20px;
  padding-bottom: 15px;
}

.subemotions {
  display: flex;
  flex-direction: row;
  align-content: center;
  justify-content: center;
  margin: 0 auto;
  text-align: center;
}

.subemotions2 {
  display: flex;
  flex-direction: row;
  align-content: left;
  justify-content: left;
  margin: 0 auto;
  padding-right: 100px;
  text-align: center;
}

.img-emotion {
  width: 65px;
  margin: 0 auto;
  padding-right: 20px;
  padding-left: 20px;
  margin-bottom: -15px;
}

.quiz-butt {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  padding-top: 5px;
}

.home-text1 {
  text-align: center;
  margin-bottom: 5px;
}

.welcoming-message {
  display: grid;
  justify-content: center;
  margin: 0 auto;
  padding-right: 76px;
  margin-top: -20px;
}

.home-text2 {
  padding-bottom: 1rem;
  font-weight: 500;
}

.daily-message {
  width: 220px;
  display: flex;
  justify-content: center;
  align-content: center;
  margin: 0 auto;
  background-color: var(--peach);
  padding: 1.8rem 1.2rem;
  border-radius: 20px;
  font-weight: 500;
}

/*---------- time selection styling - Olga -----*/

.time-selection-wrapper {
  opacity: 70%;
  height: 400px;
  margin: 20px 0 0 0;
  border-radius: 44px 44px 0 0;
}

.changing-text {
  font-weight: 700;
  text-align: center;
  padding-top: 10px;
  padding-right: 60px;
  padding-left: 60px;
  padding-bottom: 80px;
}

.mysteryBob {
  width: 30%;
  display: flex;
  margin: 0 auto;
  justify-content: center;
  padding-top: 50px;
}

.blueboi {
  width: 80%;
}

.sleepyboi {
  width: 180%;
}

.purpleboi {
  width: 140%;
}

.time-white-wrapper {
  background-color: var(--white);
  height: 600px;
  margin: 20px 0 0 0;
  border-radius: 44px 44px 0 0;
}

.time-select-container {
  display: flex;
  justify-content: center;
  margin: 0 auto;
  padding-top: 50px;
}

.time-select {
  color: var(--black);
  font-size: 1rem;
  font-weight: 500;
  text-transform: none;
  padding: 5px 25px 5px 15px;
  width: 250px;
  height: 40px;
  border-radius: 7px;
  border: 0px;
  background-color: var(--peach);
  -webkit-appearance: none;
  background-position-x: 102px;
}

option {
  color: var(--black);
  font-size: 0.75em;
  border-radius: 7px;
  border: 0px;
}

select:focus {
  color: #a98c93;
}

/* ----------Quiz Game - Olga ----------*/

.quiz-wrapper {
  background-color: var(--white);
  min-height: 650px;
  height: 100%;
  margin: 25px 0 0 0;
  margin-top: 80px;
  border-radius: 44px 44px 0 0;
}

.home-top2 {
  padding-top: 150px;
}

.img-emotion2 {
  width: 100px;
  margin: 0 auto;
  padding-right: 30px;
  padding-left: 30px;
  margin-bottom: -15px;
  margin-top: 40px;
}

.small-img {
  width: 60px;
  display: flex;
  justify-content: center;
  margin: 0 auto;
  padding-top: 70px;
  opacity: 70%;
}

.home-top3 {
  padding-top: 10px;
}

/*---------Activities tab - Vlada-------*/

#allActivitities {
  background-color: var(--peach);
}

.allActivities-heading {
  display: block;
  text-align: center;
  margin-top: 10px;
  padding: 0 2em;
  margin-bottom: 1.5em;
}

.activities-heading {
  letter-spacing: 0px;
  color: var(--black);
}

.activities-subheading {
  letter-spacing: 0px;
  color: var(--black);
}

.activities-container {
  display: grid;
  grid-template-columns: 1fr;
  padding: 2em;
  gap: 1.5em;
}

.activities-container > article {
  text-align: center;
  padding: 0.7em 2em;       
  background-color: var(--peach-light);
  transition: 0.3s;
  border-radius: 1.5em;
  color: var(--black);
}

.activities-container > article > div {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

.activities-wrapper {
  min-height: 77vh;
  height: 100%;
  height: 100%;
  margin: 35px 0 0 0;
  border-radius: 44px 44px 0 0;

}

.activities-select {
  color: var(--black);
  font-size: 0.75em;
  font-weight: 500;
  text-transform: none;
  padding: 5px 25px 5px 15px;
  /* width: 135px;
  height: 25px; */
  border-radius: 7px;
  border: 0px;
  background: url("../img/icons/Icon\ awesome-arrow-down.svg") no-repeat right;
  background-color: var(--peach);
  -webkit-appearance: none;
  background-position-x: 102px;
  margin: 2em;
  margin-bottom: 0;
}

/*---------Detailed view - Vlada-------*/
.detailedView {
  z-index: -2;
}

.detailed-view-wrapper {
  background-color: var(--white);
  margin: 130px 0 0 0;
  border-radius: 44px 44px 0 0;
  z-index: 1;
}

.detailed-view-wrapper > article > div {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  font-size: 13px;
}

.detailed-view-wrapper > article {
  padding: 0.7em 2em;
  color: var(--black);
  padding-top: 60px;
}

.detailed-view-wrapper > article > h2 {
  margin: 0;
}

.detailed-view-wrapper > article > h3 {
  font-weight: 600;
}

.emoji-icon {
  height: 65%;
  width: 65%;
  position: absolute;
  top: 2.5em;
  left: 4em;
}

